Skip to main content
PATCH

Authorizations

Authorization
string
header
required

Pass the API key in the Authorization header, You need to put Token keyword before the API key. e.g. 'Authorization: Token '

Path Parameters

voiceAgentId
string<uuid>
required

ID of the voice agent.

Example:

"fc6f158b-24c2-45a6-957b-c57c0a8979b5"

versionId
string<uuid>
required

ID of the version (from List Agent Versions).

Example:

"3b9e2c71-8f4d-4a6b-9c1e-2d7f5a8b0c34"

Body

application/json

Send at least one of the two fields.

versionLabel
string

Short name, 1-100 characters.

Required string length: 1 - 100
Example:

"Arabic greeting"

changeSummary
string

What changed, up to 500 characters.

Maximum string length: 500
Example:

"Rewrote the opening line."

Response

Successful response

success
boolean
Example:

true

message
string
Example:

"success"

data
object

A published version: a frozen copy of the agent's config. Versions are permanent.